Subject: Re: Git-bug: Dependency of curl

From: James Purser <[email-masked]>
Date: Wed, 24 Jan 2007 08:27:13 +1100

On Tue, 2007-01-23 at 03:53 +0100, Rune Zedeler wrote:
> James Purser wrote:
> 
> > I've brought this to the notice of the Ubuntu guys (via Launchpad etc).
> > From what I can understand the way they've got it setup is as a
> > "recommended" rather than "required" download.
> 
> Okay, thanks.
> As curl is commonly used with git, and ubuntu-users (yours truly 
> included) are not used to packages not working out of the box, it would 
> be nice with a more pedagogical error message if you try to use git with 
> curl and curl is not installed.
> 
> -Rune

I agree, at the moment I'm on ubuntu (considering a move to something
else) and for the moment, I'm actually running from the bleeding edge
(git pull every week or so).
-- 
James Purser
K-sit.com
http://k-sit.com
SIP: [email-masked]
Mob: 0406 576 553